Bug 223133 - databases/sqlite3: enable FTS5 by default
Summary: databases/sqlite3: enable FTS5 by default
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Koop Mast
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-10-20 18:21 UTC by Koop Mast
Modified: 2017-10-23 11:05 UTC (History)
1 user (show)

See Also:
pavelivolkov: maintainer-feedback+


Attachments
Enable FTS5 by default (1.01 KB, patch)
2017-10-20 18:21 UTC, Koop Mast
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Koop Mast freebsd_committer 2017-10-20 18:21:25 UTC
Created attachment 187330 [details]
Enable FTS5 by default

Future versions of sysutils/tracker require FTS5 support to be enabled in sqlite3.
Comment 1 Pavel Volkov 2017-10-21 07:21:28 UTC
Comment on attachment 187330 [details]
Enable FTS5 by default

Hello.
I'm approved this patch.
Thank you.
Comment 2 commit-hook freebsd_committer 2017-10-23 11:04:12 UTC
A commit references this bug:

Author: kwm
Date: Mon Oct 23 11:03:27 UTC 2017
New revision: 452700
URL: https://svnweb.freebsd.org/changeset/ports/452700

Log:
  Enable FTS5 by default.

  * add note who is going to use this feature.

  PR:		223133
  Approved by:	maintainer (Pavel Volkov <pavelivolkov@gmail.com>)

Changes:
  head/databases/sqlite3/Makefile
Comment 3 Koop Mast freebsd_committer 2017-10-23 11:05:20 UTC
Committed thanks!